package ecs.components;

import ecs.core.Entity;
import ecs.core.Component;

class LaserGun extends Component {
	public var totalChargeTime:Float = 0.3;
	public var chargeTime:Float = 0;
	public var target:Entity = null;
	public var strength:Float = 10;

	public function new() {
		super();
	}
}
